# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
%global git_release 12c0e63
Name: jopt-simple
Version: 3.3
Release: 0.git%{git_release}%{?dist}
Summary: A Java command line parser
License: MIT
Group: Development/Libraries
URL: http://jopt-simple.sourceforge.net
# No permanent location.
# To download, go to
# https://github.com/pholser/jopt-simple/commit/%%{git_release}
# and click to "Downloads" -> "Download .tar.gz"
# The file will be created in https://download.github.com/pholser-jopt-simple-%%{git_release}.tar.gz
Source0: pholser-jopt-simple-%{git_release}.tar.gz
Source1: jopt-simple-settings.xml
Patch0: jopt-simple-buildfixes.patch
BuildArch: noarch
BuildRequires: jpackage-utils
BuildRequires: java-devel >= 1.5.0
BuildRequires: maven2
BuildRequires: maven2-plugin-antrun
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven-release
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-pmd-plugin
BuildRequires: maven-release-plugin
Requires: java >= 0:1.5.0
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
# Some plugins are disabled because they have unsatisfiable
# dependencies.
#BuildRequires:  maven-plugin-cobertura
# Unit testing is disabled due to missing dependencies.
#BuildRequires:  joda-time
#BuildRequires:  junit4
#BuildRequires:  continuous-testing-toolkit
#BuildRequires:  ant

%description
A Java library for parsing command line options.

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n pholser-jopt-simple-%{git_release}
%patch0 -p1 -b .buildfixes

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-jpp -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    install javadoc:javadoc

%install
mkdir -p $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom

mkdir -p $RPM_BUILD_ROOT%{_javadir}
install -m 644 target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap net.sf.jopt-simple %{name} %{version} JPP %{name}

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rf target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc LICENSE.txt
%{_javadir}/*
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}

%changelog
* Tue Apr 26 2011 Karel Klíč <kklic@redhat.com> - 3.3-0.git12c0e63
- Repackaged to follow Fedora guidelines
- Upstream version 3.2 source code seems not to be available,
  3.3-SNAPSHOT is available in git and seems stable

* Tue Aug 18 2009 Ralph Apel <r.apel@r-apel.de> - 0:3.1-1
- first release
